// To parse this data:
//
//   import { Convert, Productos } from "./file";
//
//   const productos = Convert.toProductos(json);
//
// These functions will throw an error if the JSON doesn't
// match the expected interface, even if the JSON is valid.

export class Productos {

    resultado:  Resultado[];

    constructor(json?: Partial<Productos>){
        this.resultado = [];
        if (json !== null) {
            Object.assign(this, json);
          }
    }
}


export class Resultado {
    id:             number;
    nombre:         string;
    precio:         string;

    constructor(json?: Partial<Productos>){
        this.id = 0;
        this.nombre = "";
        this.precio = "";
        if (json !== null) {
            Object.assign(this, json);
          }
    }
}

// Converts JSON strings to/from your types
// and asserts the results of JSON.parse at runtime
